InvalidReferenceInfo (Velocity 1.7 API)
Keywords: org.apache.velocity.app.event.implement.InvalidReferenceInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.app.event.implement
Class InvalidReferenceInfo

    java.lang.Object
      org.apache.velocity.util.introspection.Info
          org.apache.velocity.app.event.implement.InvalidReferenceInfo

public class InvalidReferenceInfo
extends Info

Convenience class to use when reporting out invalid syntax with line, column, and template name.

Since:
  1.5
Version:
  $Id: InvalidReferenceInfo.java 685685 2008-08-13 21:43:27Z nbubna $
Author:
  Will Glass-Husain

Constructor Summary
`InvalidReferenceInfo(String invalidReference, Info info)`

Method Summary
`String` | `getInvalidReference()` Get the specific invalid reference string.
`String` | `toString()` Formats a textual representation of this object as `SOURCE [line X, column Y]: invalidReference`.

Methods inherited from class org.apache.velocity.util.introspection.Info
`getColumn, getLine, getTemplateName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidReferenceInfo

    public InvalidReferenceInfo(String invalidReference,
                                Info info)

Method Detail

### getInvalidReference

    public String getInvalidReference()

  Get the specific invalid reference string.

  Returns:
    the invalid reference string

### toString

    public String toString()

  Formats a textual representation of this object as `SOURCE [line X, column Y]: invalidReference`.

  Overrides:
    `toString` in class `Info`
  Returns:
    String representing this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Apache Software Foundation. All Rights Reserved.